Gentoo Archives: gentoo-commits

From: Rick Farina <zerochaos@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: net-wireless/aircrack-ng/
Date: Fri, 14 Feb 2020 19:40:56
Message-Id: 1581709227.b7ada9c5362af28ae2ce6371abed37c631171ec8.zerochaos@gentoo
commit:     b7ada9c5362af28ae2ce6371abed37c631171ec8
Author:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 14 19:40:08 2020 +0000
Commit:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
CommitDate: Fri Feb 14 19:40:27 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b7ada9c5

net-wireless/aircrack-ng: python 3

Package-Manager: Portage-2.3.88, Repoman-2.3.20
Signed-off-by: Rick Farina <zerochaos <AT> gentoo.org>

 .../{aircrack-ng-1.6.ebuild => aircrack-ng-1.6-r1.ebuild}           | 6 ++----
 net-wireless/aircrack-ng/aircrack-ng-9999.ebuild                    | 3 ++-
 2 files changed, 4 insertions(+), 5 deletions(-)

diff --git a/net-wireless/aircrack-ng/aircrack-ng-1.6.ebuild b/net-wireless/aircrack-ng/aircrack-ng-1.6-r1.ebuild
similarity index 93%
rename from net-wireless/aircrack-ng/aircrack-ng-1.6.ebuild
rename to net-wireless/aircrack-ng/aircrack-ng-1.6-r1.ebuild
index 69db574fc3d..2b60f7a3383 100644
--- a/net-wireless/aircrack-ng/aircrack-ng-1.6.ebuild
+++ b/net-wireless/aircrack-ng/aircrack-ng-1.6-r1.ebuild
@@ -3,10 +3,7 @@
 
 EAPI=7
 
-# Upstream aircrack-ng supports python 3.x but lorcon doesn't yet and
-# it is needed for airdrop-ng. Will adjust when ready.
-#PYTHON_COMPAT=( python2_7 python3_{6,7,8})
-PYTHON_COMPAT=( python2_7 )
+PYTHON_COMPAT=( python3_{6,7,8})
 DISTUTILS_OPTIONAL=1
 
 inherit toolchain-funcs distutils-r1 flag-o-matic autotools
@@ -101,6 +98,7 @@ src_install() {
 
 	# we don't need aircrack-ng's oui updater, we have our own
 	rm "${ED}"/usr/sbin/airodump-ng-oui-update
+	find "${D}" -xtype f -name '*.la' -delete || die
 }
 
 pkg_postinst() {

diff --git a/net-wireless/aircrack-ng/aircrack-ng-9999.ebuild b/net-wireless/aircrack-ng/aircrack-ng-9999.ebuild
index fa7cdd3ca82..e6f82c3506c 100644
--- a/net-wireless/aircrack-ng/aircrack-ng-9999.ebuild
+++ b/net-wireless/aircrack-ng/aircrack-ng-9999.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python2_7 )
+PYTHON_COMPAT=( python3_{6,7,8} )
 DISTUTILS_OPTIONAL=1
 
 inherit toolchain-funcs distutils-r1 flag-o-matic autotools
@@ -98,6 +98,7 @@ src_install() {
 
 	# we don't need aircrack-ng's oui updater, we have our own
 	rm "${ED}"/usr/sbin/airodump-ng-oui-update
+	find "${D}" -xtype f -name '*.la' -delete || die
 }
 
 pkg_postinst() {